Subject: browser with java on NetBSD 2.0?
To: None <>
From: John Kohl <>
List: netbsd-java
Date: 12/25/2004 22:37:14
What's the current practical recommendation for a Java-enabled browser
on NetBSD 2.0?

firefox-bin in pkgsrc is based on 0.9 which has vulnerabilities.

firefox built native has no JRE plugin library available that I can find.

I've seen some mail from "BSD For Ever" with some hints for 1.6-based
firefox and the Linux but that doesn't seem to work
for 2.0 libraries/binaries (threading model stuff)?

I've tried rolling my own with the public firefox 1.0 for linux i686
(firefox-1.0.installer.tar.gz) but I can't get the installer to work.
It ends up using the native since somehow I don't have
a Linux fontconfig library in /emul/linux using the SuSE 9.1 packages.

It looks like mozilla-bin (using linux bins and sun-jre14) will work,
but it doesn't do so well on my favorite app (Logan airport display,

Any suggestions on where to find for SuSE 9.1 to try out
firefox 1.0 release for Linux?

==John Kohl <>, <>
Home page: <>